Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2887303002: Blink caret only if selection has focus. (Closed)

Created:
7 months ago by yoichio
Modified:
7 months ago
Reviewers:
yosin_UTC9
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Blink caret only if selection has focus. Use Selection().SelectionHasFocus() in FrameCaret::ShouldBlinkCaret(); BUG=713051 Review-Url: https://codereview.chromium.org/2887303002 Cr-Commit-Position: refs/heads/master@{#473153} Committed: https://chromium.googlesource.com/chromium/src/+/f56b768202fbf0ea253e350a43259781e453c48d

Patch Set 1 #

Total comments: 1

Patch Set 2 : add test #

Total comments: 2

Patch Set 3 : update #

Messages

Total messages: 23 (14 generated)
yoichio
yosin, how do you test caret blinking?
7 months ago (2017-05-18 07:19:18 UTC) #4
yoichio
7 months ago (2017-05-18 07:19:22 UTC) #5
yosin_UTC9
https://codereview.chromium.org/2887303002/diff/1/third_party/WebKit/Source/core/editing/FrameCaret.cpp File third_party/WebKit/Source/core/editing/FrameCaret.cpp (right): https://codereview.chromium.org/2887303002/diff/1/third_party/WebKit/Source/core/editing/FrameCaret.cpp#newcode216 third_party/WebKit/Source/core/editing/FrameCaret.cpp:216: return frame_->Selection().SelectionHasFocus(); Yes, this is what I expected. When ...
7 months ago (2017-05-18 07:30:44 UTC) #6
yosin_UTC9
This patch will fix bug[1]. [1] http://crbug.com/723671 ⚐ Caret stays visible inside contentEditable when other ...
7 months ago (2017-05-19 00:56:02 UTC) #9
yoichio
7 months ago (2017-05-19 06:05:13 UTC) #13
yosin_UTC9
lgtm w/ nit https://codereview.chromium.org/2887303002/diff/20001/third_party/WebKit/Source/core/editing/FrameCaretTest.cpp File third_party/WebKit/Source/core/editing/FrameCaretTest.cpp (right): https://codereview.chromium.org/2887303002/diff/20001/third_party/WebKit/Source/core/editing/FrameCaretTest.cpp#newcode91 third_party/WebKit/Source/core/editing/FrameCaretTest.cpp:91: const SelectionInDOMTree& dom = Selection().GetSelectionInDOMTree(); nit: ...
7 months ago (2017-05-19 06:12:21 UTC) #14
yoichio
https://codereview.chromium.org/2887303002/diff/20001/third_party/WebKit/Source/core/editing/FrameCaretTest.cpp File third_party/WebKit/Source/core/editing/FrameCaretTest.cpp (right): https://codereview.chromium.org/2887303002/diff/20001/third_party/WebKit/Source/core/editing/FrameCaretTest.cpp#newcode91 third_party/WebKit/Source/core/editing/FrameCaretTest.cpp:91: const SelectionInDOMTree& dom = Selection().GetSelectionInDOMTree(); On 2017/05/19 06:12:21, yosin_UTC9 ...
7 months ago (2017-05-19 08:00:19 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2887303002/40001
7 months ago (2017-05-19 08:01:05 UTC) #20
commit-bot: I haz the power
7 months ago (2017-05-19 10:48:58 UTC) #23
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/f56b768202fbf0ea253e350a4325...

Powered by Google App Engine
This is Rietveld 0eb02b776